{
  config,
  lib,
  name,
  ...
}:

let
  inherit (lib) filter mapAttrsToList;
in

{
  assertions = mapAttrsToList (key: opts: {
    assertion =
      builtins.length (
        filter (x: x != null) [
          opts.text
          opts.keyCommand
          opts.keyFile
        ]
      ) == 1;
    message =
      let
        prefix = "${name}.deployment.keys.${key}";
      in
      "Exactly one of `${prefix}.text`, `${prefix}.keyCommand` and `${prefix}.keyFile` must be set.";
  }) config.deployment.keys;
}
